Bug 1172441 - GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
Summary: GeometryException: must specify PedGeometry or (device, start, length) or (de...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a2f2d8983b9814223fb64564e47...
: 1180783 1188418 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-10 04:13 UTC by Nigel Atkinson
Modified: 2015-12-02 16:40 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 05:38:19 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (881.33 KB, text/plain)
2014-12-10 04:13 UTC, Nigel Atkinson
no flags Details
File: anaconda.log (40.84 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: environ (537 bytes, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: journalctl (231.38 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: lsblk_output (3.59 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: nmcli_dev_list (1.53 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: os_info (377 bytes, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: program.log (75.33 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: storage.log (449.80 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details
File: ifcfg.log (1.92 KB, text/plain)
2014-12-10 04:14 UTC, Nigel Atkinson
no flags Details

Description Nigel Atkinson 2014-12-10 04:13:52 UTC
Description of problem:
Using the manual partitioning page in the installation, I remove some old mount points, and then clicked "Click here to create them automatically."

I also get the same error message when clicking the "+" then filling in the resulting form.

Version-Release number of selected component:
anaconda-core-21.48.21-1.fc21.x86_64

The following was filed automatically by anaconda:
anaconda 21.48.21-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/geometry.py", line 63, in __init__
    raise parted.GeometryException, "must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)"
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1738, in getDiskChunks
    end=disk.format.endAlignment.alignDown(f, f.end))
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1110, in allocatePartitions
    temp_parts, freespace)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 882, in doPartitioning
    allocatePartitions(storage, disks, partitions, free)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 393, in doAutoPartition
    doPartitioning(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2217, in _do_autopart
    min_luks_entropy=crypto.MIN_CREATE_ENTROPY)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 121, in decorated
    return func(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2268, in on_create_clicked
    self._do_autopart()
GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-21-5 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: anaconda-gui-21.48.21-1.fc21.x86_64, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64
product:        Fedora"
release:        Fedora release 21 (Twenty One)
type:           anaconda
version:        Fedora

Comment 1 Nigel Atkinson 2014-12-10 04:13:58 UTC
Created attachment 966625 [details]
File: anaconda-tb

Comment 2 Nigel Atkinson 2014-12-10 04:14:00 UTC
Created attachment 966626 [details]
File: anaconda.log

Comment 3 Nigel Atkinson 2014-12-10 04:14:01 UTC
Created attachment 966627 [details]
File: environ

Comment 4 Nigel Atkinson 2014-12-10 04:14:04 UTC
Created attachment 966628 [details]
File: journalctl

Comment 5 Nigel Atkinson 2014-12-10 04:14:05 UTC
Created attachment 966629 [details]
File: lsblk_output

Comment 6 Nigel Atkinson 2014-12-10 04:14:07 UTC
Created attachment 966630 [details]
File: nmcli_dev_list

Comment 7 Nigel Atkinson 2014-12-10 04:14:08 UTC
Created attachment 966631 [details]
File: os_info

Comment 8 Nigel Atkinson 2014-12-10 04:14:10 UTC
Created attachment 966632 [details]
File: program.log

Comment 9 Nigel Atkinson 2014-12-10 04:14:14 UTC
Created attachment 966633 [details]
File: storage.log

Comment 10 Nigel Atkinson 2014-12-10 04:14:15 UTC
Created attachment 966634 [details]
File: ifcfg.log

Comment 11 Brian Lane 2015-01-13 02:13:48 UTC
*** Bug 1180783 has been marked as a duplicate of this bug. ***

Comment 12 LiberationLove 2015-01-18 10:33:37 UTC
Another user experienced a similar problem:

Fedora 21 is causing such error after I click on automatic partitioning of disk.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=/ubninit root=live:UUID=A019-534C rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/ubnkern 
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: anaconda-gui-21.48.21-1.fc21.x86_64, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 13 Brian Lane 2015-02-04 17:49:24 UTC
*** Bug 1188418 has been marked as a duplicate of this bug. ***

Comment 14 Lorenzo Lanzilotto 2015-02-26 20:54:50 UTC
Another user experienced a similar problem:

The bug appears when creating partitions. 

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-21-5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: anaconda-gui-21.48.21-1.fc21.x86_64, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 15 Sirhan 2015-03-18 19:00:46 UTC
Another user experienced a similar problem:

I have an 64GB SSD. I had Windws 7 Ultimate installed in it. I used Easeus partition manager to resize the partition,and made a 16GB unallocated space for Fedora 21 installation. I have created a USB Bootable with Fedora 21.5 x86_64bit iso image. I tried to make the disk for insallation as this Unallocated 16GB, I check the automatically create partition for me and this error is occuring.

You can reach me at sirhan@digis.net

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-21-5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: anaconda-gui-21.48.21-1.fc21.x86_64, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 16 Hossein Naderi 2015-03-25 15:13:26 UTC
Another user experienced a similar problem:

Every time I try to reclaim space or partition my hard in advanced mode this problem occurres.
I have some NTFS drives and an ext4 one and want to delete one of them then reclaim space,
but it seems to be impossible anyway

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-21-5 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: anaconda-gui-21.48.21-1.fc21.x86_64, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 17 ThePierrezou 2015-03-29 20:47:59 UTC
Another user experienced a similar problem:

i was trying to make a partition in the installer

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-21-5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 rd.live.check
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: anaconda-gui-21.48.21-1.fc21.x86_64, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 18 ThePierrezou 2015-03-31 00:09:45 UTC
For me it was on a hp pavillon dv6 with a LVM partitioning.
I have tested with fedora workstation and fedora Server, it's the same.
My instalation device is a usb key, the iso was copied with dd.

Comment 19 ThePierrezou 2015-04-04 21:47:44 UTC
With Fedora 20 i don't have any problem.
For the installation i have used fedora 20 livecd and fedup for doing the upgrade.

Comment 20 David Parkin 2015-04-10 07:18:40 UTC
Another user experienced a similar problem:

Live usb install to hard disk. Just deleted old mount points.

GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-i686-21-5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
other involved packages: anaconda-gui-21.48.21-1.fc21.i686, python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.i686
package:        anaconda-core-21.48.21-1.fc21.i686
packaging.log:  
product:        Fedora"
reason:         GeometryException: must specify PedGeometry or (device, start, length) or (device, start, end) or (device, start, length, end)
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 21 Fedora Admin XMLRPC Client 2015-09-28 20:25:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 22 Fedora End Of Life 2015-11-04 10:24:20 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Fedora End Of Life 2015-12-02 05:38:27 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.